:root {
    color-scheme: light dark;
    --sidenote-bg-color: #43484d;
    --highlight-color: #2b79a2;
}

.github-corner {
    fill: var(--text-color);
    color: var(--bg-color);
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
    font-family: 'Lato', sans-serif;
    font-size: 15px;
    width: 87.5%;
    max-width: 1400px;
    /* padding-left: 12.5%; */
}

.container {
    display: grid;
    align-items: center;
    justify-items: center;
    margin-bottom: 2em;
}

h1, h2, h3, h4 {
    font-family: 'Old Standard TT', serif;
    border-bottom: 1px var(--highlight-color) solid;
}

details, summary {
    padding: 1em;
    text-align: center;
}

img {
    max-width: 500px;
}

h1 {
    font-size: 6em;
}

p {
    width: 50%;
}

.sidenote {
    width: 50%;
    float: right;
    clear: right;
    margin-right: -60%;
    background-color: var(--sidenote-bg-color);
    padding: 10px;
    border-radius: 5px;
}

[data-tippy-content] {
    text-decoration:underline;
    text-decoration-style: wavy;
    text-decoration-color: var(--highlight-color);
}

@media screen and (max-width: 760px) {
    h1 {
        font-size: 2.5em;
        margin-top: 1.5em;
    }

    p {
        width: 80%
    }

    img {
        max-width: 350px;
    }

    .sidenote {
        margin: 2em;
        width: 80%;
    }
}